
package SHARK2.keymon.com.mx;

import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RemoteObject;

public class escposprinter {
    public static RemoteObject myClass;
	public escposprinter() {
	}
    public static PCBA staticBA = new PCBA(null, escposprinter.class);

public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _version = RemoteObject.createImmutable(0);
public static RemoteObject _eventname = RemoteObject.createImmutable("");
public static RemoteObject _callback = RemoteObject.declareNull("Object");
public static RemoteObject _serial1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.Serial");
public static RemoteObject _astream = RemoteObject.declareNull("anywheresoftware.b4a.randomaccessfile.AsyncStreams");
public static RemoteObject _connected = RemoteObject.createImmutable(false);
public static RemoteObject _connectederror = RemoteObject.createImmutable("");
public static RemoteObject _esc = RemoteObject.createImmutable("");
public static RemoteObject _fs = RemoteObject.createImmutable("");
public static RemoteObject _gs = RemoteObject.createImmutable("");
public static RemoteObject _unreverse = RemoteObject.createImmutable("");
public static RemoteObject _reverse = RemoteObject.createImmutable("");
public static RemoteObject _uninvert = RemoteObject.createImmutable("");
public static RemoteObject _invert = RemoteObject.createImmutable("");
public static RemoteObject _unrotate = RemoteObject.createImmutable("");
public static RemoteObject _rotate = RemoteObject.createImmutable("");
public static RemoteObject _ht = RemoteObject.createImmutable("");
public static RemoteObject _uline0 = RemoteObject.createImmutable("");
public static RemoteObject _uline1 = RemoteObject.createImmutable("");
public static RemoteObject _uline2 = RemoteObject.createImmutable("");
public static RemoteObject _bold = RemoteObject.createImmutable("");
public static RemoteObject _nobold = RemoteObject.createImmutable("");
public static RemoteObject _single = RemoteObject.createImmutable("");
public static RemoteObject _high = RemoteObject.createImmutable("");
public static RemoteObject _wide = RemoteObject.createImmutable("");
public static RemoteObject _highwide = RemoteObject.createImmutable("");
public static RemoteObject _leftjustify = RemoteObject.createImmutable("");
public static RemoteObject _linedefault = RemoteObject.createImmutable("");
public static RemoteObject _linset0 = RemoteObject.createImmutable("");
public static RemoteObject _lmargin0 = RemoteObject.createImmutable("");
public static RemoteObject _width0 = RemoteObject.createImmutable("");
public static RemoteObject _charspacing0 = RemoteObject.createImmutable("");
public static RemoteObject _charfont0 = RemoteObject.createImmutable("");
public static RemoteObject _defaults = RemoteObject.createImmutable("");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static SHARK2.keymon.com.mx.main _main = null;
public static SHARK2.keymon.com.mx.appupdater _appupdater = null;
public static SHARK2.keymon.com.mx.mapa_cliente _mapa_cliente = null;
public static SHARK2.keymon.com.mx.mapa_rutas _mapa_rutas = null;
public static SHARK2.keymon.com.mx.notificationservice _notificationservice = null;
public static SHARK2.keymon.com.mx.pendientes _pendientes = null;
public static SHARK2.keymon.com.mx.starter _starter = null;
public static SHARK2.keymon.com.mx.subs _subs = null;
public static SHARK2.keymon.com.mx.tracker _tracker = null;
public static SHARK2.keymon.com.mx.newinst2 _newinst2 = null;
public static SHARK2.keymon.com.mx.b4xpages _b4xpages = null;
public static SHARK2.keymon.com.mx.b4xcollections _b4xcollections = null;
public static SHARK2.keymon.com.mx.httputils2service _httputils2service = null;
public static SHARK2.keymon.com.mx.xuiviewsutils _xuiviewsutils = null;
public static Object[] GetGlobals(RemoteObject _ref) throws Exception {
		return new Object[] {"Astream",_ref.getField(false, "_astream"),"BOLD",_ref.getField(false, "_bold"),"CallBack",_ref.getField(false, "_callback"),"CHARFONT0",_ref.getField(false, "_charfont0"),"CHARSPACING0",_ref.getField(false, "_charspacing0"),"Connected",_ref.getField(false, "_connected"),"ConnectedError",_ref.getField(false, "_connectederror"),"DateUtils",_ref.getField(false, "_dateutils"),"DEFAULTS",_ref.getField(false, "_defaults"),"ESC",_ref.getField(false, "_esc"),"EventName",_ref.getField(false, "_eventname"),"FS",_ref.getField(false, "_fs"),"GS",_ref.getField(false, "_gs"),"HIGH",_ref.getField(false, "_high"),"HIGHWIDE",_ref.getField(false, "_highwide"),"HT",_ref.getField(false, "_ht"),"INVERT",_ref.getField(false, "_invert"),"LEFTJUSTIFY",_ref.getField(false, "_leftjustify"),"LINEDEFAULT",_ref.getField(false, "_linedefault"),"LINSET0",_ref.getField(false, "_linset0"),"LMARGIN0",_ref.getField(false, "_lmargin0"),"NOBOLD",_ref.getField(false, "_nobold"),"REVERSE",_ref.getField(false, "_reverse"),"ROTATE",_ref.getField(false, "_rotate"),"Serial1",_ref.getField(false, "_serial1"),"SINGLE",_ref.getField(false, "_single"),"ULINE0",_ref.getField(false, "_uline0"),"ULINE1",_ref.getField(false, "_uline1"),"ULINE2",_ref.getField(false, "_uline2"),"UNINVERT",_ref.getField(false, "_uninvert"),"UNREVERSE",_ref.getField(false, "_unreverse"),"UNROTATE",_ref.getField(false, "_unrotate"),"Version",_ref.getField(false, "_version"),"WIDE",_ref.getField(false, "_wide"),"WIDTH0",_ref.getField(false, "_width0")};
}
}